<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Form</title>
</head>

<body>
    <h1>Form per inviare a Google Search una stringa di ricerca personalizzata</h1>
    <form action="http://www.google.com/search" method="GET">
        <input type="text" name="q" placeholder="Inserisci un testo">
        <!-- <input type="submit" value="Cerca"> -->
        <button type="submit">
            Cerca
        </button>
        <button type="reset">
            Reset
        </button>
    </form>
    <h1>Input di diverso tipo</h1>
    <form action="http://www.google.com/search" method="POST">
        <!-- Input numerico -->
        <input type="number" name="numero" step="10" max="100" min="0" placeholder="Inserisci un numero">
        <!-- Input password -->
        <input type="password" name="password">

        <!-- Input data -->
        <input type="date" min="2019-03-31" max="2019-04-02" name="data">

        <!-- Radio button -->
        <div>
            <div>
                <label>
                    Maschio
                    <input type="radio" name="sesso" value="maschio">
                </label>
            </div>
            <div>
                <label for="sesso_femmina">
                    Femmina
                </label>
                <input id="sesso_femmina" type="radio" name="sesso" value="femmina">
            </div>
        </div>

        <!-- Input Checkbox -->
        <div>
            <label>
                Ho letto e accettato l'infomativa sulla privacy
                <input type="checkbox" name="privacy">
            </label>
        </div>

        <!-- Input file -->
        <div>File: <input type="file" name="file1"></div>

        <div>
            Che frutta hai mangiato oggi?
        </div>
        <div>
            <label>
                Banana
                <input type="checkbox" name="banana" value="banana">
            </label>
            <label>
                Mela
                <input type="checkbox" name="mela" value="mela">
            </label>
            <label>
                Kiwi
                <input type="checkbox" name="kiwi" value="kiwi">
            </label>
        </div>
        <label for="abstract">Clicca qui</label>
        <textarea id="abstract" name="abstract">Questo è il contenuto
        </textarea>
        <div>
            <div>
                <label for="color1">
                    Scegli un colore
                </label>
            </div>
            <select multiple id="color1" name="color">
                <option value="red">Questo è il colore rosso</option>
                <option value="green">Verde</option>
                <option value="blue" selected>Blu</option>
            </select>
        </div>





        <button type="submit">
            Cerca
        </button>
        <button type="reset">
            Reset
        </button>
    </form>
    <div style="height: 500px;"></div>
</body>

</html>